# Uses of Interface
org.eclipse.gef.dnd.TransferDropTargetListener

Packages that use TransferDropTargetListener
Package
Description
org.eclipse.gef
All interfaces, base types, and the plugin class are here.
org.eclipse.gef.dnd
org.eclipse.gef.ui.parts

## Uses of TransferDropTargetListener in org.eclipse.gef

Methods in org.eclipse.gef with parameters of type TransferDropTargetListener
Modifier and Type
Method
Description
`void`
EditPartViewer.`addDropTargetListener(TransferDropTargetListener listener)`
Deprecated, for removal: This API element is subject to removal in a future version.
Use `EditPartViewer.addDragSourceListener(TransferDragSourceListener)` instead.
`void`
EditPartViewer.`removeDropTargetListener(TransferDropTargetListener listener)`
Deprecated, for removal: This API element is subject to removal in a future version.
Use `EditPartViewer.removeDropTargetListener(TransferDropTargetListener)` instead.

## Uses of TransferDropTargetListener in org.eclipse.gef.dnd

Classes in org.eclipse.gef.dnd that implement TransferDropTargetListener
Modifier and Type
Class
Description
`class`
`AbstractTransferDropTargetListener`
An abstract implementation of TransferDropTargetListener for use with `EditPartViewer`s.
`class`
`TemplateTransferDropTargetListener`
Performs a native Drop using the `TemplateTransfer`.
Methods in org.eclipse.gef.dnd with parameters of type TransferDropTargetListener
Modifier and Type
Method
Description
`void`
DelegatingDropAdapter.`addDropTargetListener(TransferDropTargetListener listener)`
Deprecated, for removal: This API element is subject to removal in a future version.
Use `DelegatingDropAdapter.addDropTargetListener(org.eclipse.jface.util.TransferDropTargetListener)` instead.
`void`
DelegatingDropAdapter.`removeDropTargetListener(TransferDropTargetListener listener)`
Deprecated, for removal: This API element is subject to removal in a future version.
Use `DelegatingDropAdapter.removeDropTargetListener(org.eclipse.jface.util.TransferDropTargetListener)` instead.

## Uses of TransferDropTargetListener in org.eclipse.gef.ui.parts

Methods in org.eclipse.gef.ui.parts with parameters of type TransferDropTargetListener
Modifier and Type
Method
Description
`void`
AbstractEditPartViewer.`addDropTargetListener(TransferDropTargetListener listener)`
Deprecated, for removal: This API element is subject to removal in a future version.
Use `AbstractEditPartViewer.addDropTargetListener(TransferDropTargetListener)` instead.
`void`
AbstractEditPartViewer.`removeDropTargetListener(TransferDropTargetListener listener)`
Deprecated, for removal: This API element is subject to removal in a future version.
Use `AbstractEditPartViewer.removeDropTargetListener(TransferDropTargetListener)` instead.